// vim: set tw=80 ts=2 sw=2 sts=2 :

import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { RouterModule } from '@angular/router';

import { NgLoggerModule, Level } from '@nsalaun/ng-logger';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { ToastrModule } from 'ngx-toastr';

import { AccountService } from './account.service';
import { AccountBalancesService } from './accountBalances.service';
import { AccountListComponent } from './accountList.component';
import { AccountDeleteModalComponent } from './accountDeleteModal.component';
import { AccountEditModalComponent } from './accountEditModal.component';
import { AccountFormComponent } from './accountForm.component';
import { AccountRowComponent } from './accountRow.component';
import { DailyBalanceService } from './dailyBalance.service';
import { AccountListState } from './account.states'

@NgModule({
  imports: [
    HttpClientModule,
    CommonModule,
    FormsModule,
    RouterModule.forChild([
      AccountListState
    ]),
    NgLoggerModule,
    ToastrModule,
    NgbModule
  ],
  providers: [
    AccountService,
    AccountBalancesService,
    DailyBalanceService,
  ],
  declarations: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
    AccountFormComponent,
    AccountRowComponent
  ],
  entryComponents: [
    AccountListComponent,
    AccountDeleteModalComponent,
    AccountEditModalComponent,
    AccountFormComponent,
    AccountRowComponent
  ]
})
export class AccountModule {}
